import { defineComponent as d, mergeModels as b, useModel as c, createElementBlock as g, openBlock as f, createVNode as n, unref as o } from "vue";
import { useI18n as _ } from "vue-i18n";
import { h as i, l as S } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const v = { class: "extension-config d-flex flex-wrap" }, s = /* @__PURE__ */ d({
  __name: "StringToNumberExtension",
  props: /* @__PURE__ */ b({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(l) {
    const e = c(l, "modelValue"), { t: a } = _(), m = [
      { title: ",", value: "," },
      { title: ".", value: "." }
    ], p = [
      { title: "null", value: "leer" },
      { title: "0", value: "0" }
    ];
    return (V, t) => (f(), g("div", v, [
      n(o(i), {
        modelValue: e.value.separator,
        "onUpdate:modelValue": t[0] || (t[0] = (r) => e.value.separator = r),
        items: m,
        label: o(a)("datahub-plugin.etl.StringToNumber.separator")
      }, null, 8, ["modelValue", "label"]),
      n(o(i), {
        modelValue: e.value.emptyString,
        "onUpdate:modelValue": t[1] || (t[1] = (r) => e.value.emptyString = r),
        items: p,
        label: o(a)("datahub-plugin.etl.StringToNumber.emptyString")
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function u(l) {
  const e = l;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            StringToNumber: {
              separator: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "separator" } },
              emptyString: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Empty string" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            StringToNumber: {
              separator: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Separator" } },
              emptyString: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Leere Zeichenkette" } }
            }
          }
        }
      }
    }
  });
}
typeof u == "function" && u(s);
const M = /* @__PURE__ */ S(s, [["__scopeId", "data-v-f1ae739a"]]);
export {
  M as default
};
